[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| BSpline Class Template Reference |
--- | --- | ---

`#include "vigra/splines.hxx"`

Inheritance diagram for BSpline:

List of all members.

## Public Methods
| BSpline (unsigned int derivativeOrder=0)

## Detailed Description

### template<int ORDER, class T = double>
class vigra::BSpline< ORDER, T >

Spline functors for arbitrary orders.

Provides the interface of vigra::BSplineBase with a more convenient name -- see there for more documentation.

## Constructor & Destructor Documentation

BSpline | ( | unsigned int | derivativeOrder = 0 | ) | `[inline, explicit]`

| Constructor forwarded to the base class constructor..

The documentation for this class was generated from the following file:

- vigra/splines.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.3.2 (27 Jan 2005)